require "mkmf"

$CFLAGS  += `gdome-config --cflags`.gsub("\n"," ")
if ($? == 0)
  $LDFLAGS += `gdome-config --libs`.gsub("\n"," ")
  if ($? == 0)
    load "code_creation/parse_idl.rb"
    $LOCAL_LIBS += $LDFLAGS
    create_makefile('gdome')
  end
end

